=== modified file 'Makefile.am'
--- Makefile.am	2010-04-20 06:45:38 +0000
+++ Makefile.am	2010-04-20 06:49:33 +0000
@@ -136,6 +136,8 @@
 include tests/include.am
 include unittests/include.am
 
+TESTS += ${check_PROGRAMS}
+
 merge-clean:
 	find ./ | $(GREP) \.orig | xargs rm -f
 	find ./ | $(GREP) \.rej | xargs rm -f

=== modified file 'configure.ac'
--- configure.ac	2010-04-20 06:45:38 +0000
+++ configure.ac	2010-04-20 06:49:33 +0000
@@ -65,6 +65,7 @@
 AC_DEFINE([BUILDING_DRIZZLE],[1],
           [Define indicating we are building and not consuming drizzle.])
 
+PANDORA_REQUIRE_LIBGTEST
 
 AC_ARG_WITH([server-suffix],
     [AS_HELP_STRING([--with-server-suffix],

=== modified file 'unittests/calendar_test.cc'
--- unittests/calendar_test.cc	2010-04-03 19:04:53 +0000
+++ unittests/calendar_test.cc	2010-04-20 06:49:33 +0000
@@ -1,3 +1,25 @@
+/* -*- mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Pawel Blokus
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include "config.h"
+
 #include <gtest/gtest.h>
 
 #include <drizzled/calendar.h>
@@ -109,5 +131,8 @@
 }
 
 
-
-
+int main(int argc, char **argv)
+{
+  ::testing::InitGoogleTest(&argc, argv);
+  return RUN_ALL_TESTS();
+}

=== modified file 'unittests/include.am'
--- unittests/include.am	2010-04-03 19:04:53 +0000
+++ unittests/include.am	2010-04-20 06:49:33 +0000
@@ -2,6 +2,6 @@
 # included from Top Level Makefile.am
 # All paths should be given relative to the root
 
-noinst_PROGRAMS+= unittests/unittests
+check_PROGRAMS += unittests/calendar_test
 
-unittests_unittests_SOURCES=	unittests/calendar_test.cc drizzled/calendar.cc
\ No newline at end of file
+unittests_calendar_test_LDADD = drizzled/libdrizzled.la ${LTLIBGTEST}

